{
  config,
  sec,
  ...
}:
{
  sops.secrets."rus07tam/tokens/nextcloud.ruject.fun" = { };

  programs.rclone.remotes.nextcloud = {
    config = {
      type = "webdav";
      vendor = "nextcloud";
      url = "https://nextcloud.ruject.fun/remote.php/dav/files/rus07tam";
      user = "rus07tam";
    };
    secrets.pass = sec."rus07tam/tokens/nextcloud.ruject.fun".path;
    mounts."" = {
      enable = true;
      mountPoint = "${config.home.homeDirectory}/Nextcloud";
    };
  };
}
